# Retrieve the detail for this token

A token representing a payment instrument.

Endpoint: GET /tokens/{tokenId}
Version: 3
Security: BasicAuth

## Path parameters:

  - `tokenId` (string, required)
    Access Worldpay encrypted token.

## Response 200 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `tokenPaymentInstrument` (object, required)

  - `tokenPaymentInstrument.type` (string)
    Indicating the type of this token.

  - `tokenPaymentInstrument.href` (string)
    Link to the corresponding token.

  - `description` (string, required)
    A description of your token. If not supplied, a default description is created for you.

  - `tokenExpiryDateTime` (string, required)
    The date/time after which the token is unavailable, expressed in ISO 8601 format. If not supplied, the default expiry date/time is 90 days in Try and 4 years in the Live environment.We extend the expiry in Live by 4 years, if under half of the time remains on the token.

  - `paymentInstrument` (object, required)

  - `paymentInstrument.cardNumber` (string, required)

  - `paymentInstrument.cardExpiryDate` (object, required)

  - `paymentInstrument.cardExpiryDate.month` (integer, required)

  - `paymentInstrument.cardExpiryDate.year` (integer, required)

  - `paymentInstrument.type` (string)

  - `paymentInstrument.cardHolderName` (string)
    The name on your customer's card.

  - `paymentInstrument.bin` (string)

  - `paymentInstrument.brand` (string)

  - `paymentInstrument.fundingType` (string)

  - `paymentInstrument.countryCode` (string)

  - `paymentInstrument.billingAddress` (object)

  - `paymentInstrument.billingAddress.address1` (string, required)

  - `paymentInstrument.billingAddress.postalCode` (string, required)

  - `paymentInstrument.billingAddress.city` (string, required)

  - `paymentInstrument.billingAddress.countryCode` (string, required)

  - `paymentInstrument.billingAddress.address2` (string)

  - `paymentInstrument.billingAddress.address3` (string)

  - `paymentInstrument.billingAddress.state` (string)

  - `paymentInstrument.networkType` (string)

  - `paymentInstrument.last4Digits` (string)

  - `tokenId` (string)
    Worldpay's internal identifier for a token. If supplied, must be between 15 and 21 characters, must consist of digits and upper-case characters excluding 'I' and 'O'.

  - `namespace` (string)
    A reference to group up to 16 cards, e.g. for one customer.

  - `schemeTransactionReference` (string)
    A value provided by Visa or Mastercard which tracks recurring transactions.Note: You are not normally expected to provide a value for schemeTransactionReference. If you are using the [Verified Tokens API](/products/verified-tokens/@v3/index.md) to create tokens, it is automatically included where applicable.

  - `_links` (object, required)

## Response 404 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `errorName` (string)
    Example: "resourceNotFound"

  - `message` (string)
    Example: "Requested resource was not found"

## Response 405 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `errorName` (string)
    Example: "methodNotAllowed"

  - `message` (string)
    Example: "Requested method is not allowed"

## Response 500 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `errorName` (string)
    Example: "tokenizationNotEnabled"

  - `message` (string)
    Example: "Tokenization not enabled"


